package com.ym.mec.biz.dal.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.List;

/**
 * @program: mec
 * @description: 考勤统计出参
 * @author: xw
 * @create: 2019-09-28 23:29
 */
@ApiModel(description = "考勤统计出参")
public class StudentAttendanceStatisticsResponse implements Serializable {

    @ApiModelProperty(value = "用户编号")
    private Integer userId;

    @ApiModelProperty(value = "学生姓名")
    private String studentName;

    @ApiModelProperty(value = "是否连续旷课")
    private boolean isTruant = false;

    @ApiModelProperty(value = "声部名称")
    private String subjectName;

    @ApiModelProperty(value = "到课天数")
    private Integer normalDay;

    @ApiModelProperty(value = "旷课天数")
    private Integer truantDay;

    @ApiModelProperty(value = "请假天数")
    private Integer leaveDay;

    @ApiModelProperty(value = "考勤明细列表")
    private List<StudentAttendanceResponse> list;


    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public String getStudentName() {
        return studentName;
    }

    public void setStudentName(String studentName) {
        this.studentName = studentName;
    }

    public boolean isTruant() {
        return isTruant;
    }

    public void setTruant(boolean truant) {
        isTruant = truant;
    }

    public String getSubjectName() {
        return subjectName;
    }

    public void setSubjectName(String subjectName) {
        this.subjectName = subjectName;
    }

    public Integer getNormalDay() {
        return normalDay;
    }

    public void setNormalDay(Integer normalDay) {
        this.normalDay = normalDay;
    }

    public Integer getTruantDay() {
        return truantDay;
    }

    public void setTruantDay(Integer truantDay) {
        this.truantDay = truantDay;
    }

    public Integer getLeaveDay() {
        return leaveDay;
    }

    public void setLeaveDay(Integer leaveDay) {
        this.leaveDay = leaveDay;
    }

    public List<StudentAttendanceResponse> getList() {
        return list;
    }

    public void setList(List<StudentAttendanceResponse> list) {
        this.list = list;
    }
}
